%define name blt
%define version 2.4i
%define prefix %{_prefix}

Summary: A Tk toolkit extension, including widgets, geometry managers, etc.
Name: %{name}
Version: %{version}
Release: 13mdk
Copyright: MIT
Group: System/Libraries
BuildRequires: XFree86-devel tcl tk
Obsoletes: blt-devel
Source0: ftp://ftp.tcltk.org/pub/blt/BLT2.4i.tar.bz2
Patch0: blt-2.4f-prefix.patch.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
BLT is an extension to the Tk toolkit. BLT's most useful feature is the
provision of more widgets for Tk, but it also provides more geometry managers
and miscellaneous other commands. Note that you won't need to do any patching
of the Tcl or Tk source files to use BLT, but you will need to have Tcl/Tk
installed in order to use BLT.

If you are programming with the Tk toolkit, you should install BLT. You will
need to have Tcl/Tk installed.

%prep
%setup -q -n blt%{version}
%patch -b .prefix -p1

%build
libtoolize --copy --force
%configure
make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{etc,sbin,usr/share}
%makeinstall \
	exec_prefix=$RPM_BUILD_ROOT%{prefix} \
	scriptdir=$RPM_BUILD_ROOT%{_libdir}/blt2.4 bare_prefix=%{prefix}
ln -sf libBLT24.so $RPM_BUILD_ROOT%{_libdir}/libBLT.so.2.4
ln -sf libBLT.so.2.4 $RPM_BUILD_ROOT%{_libdir}/libBLT.so
ln -sf bltwish24 $RPM_BUILD_ROOT%{_bindir}/bltwish2.4

cd $RPM_BUILD_ROOT%{_libdir}/blt2.4/demos/
perl -p -i -e 's|local/bin/tclsh|bin/tclsh|' *


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README html
%{_bindir}/bltwish*
%{_libdir}/libBLT*
%{_libdir}/blt2.4
%{_includedir}/blt.h
%{_mandir}/mann/BLT.n.bz2
%{_mandir}/mann/barchart.n.bz2
%{_mandir}/mann/bgexec.n.bz2
# bitmap.n is in tcl as well
#%{_mandir}/mann/bitmap.n.bz2
%{_mandir}/mann/bltdebug.n.bz2
%{_mandir}/mann/busy.n.bz2
%{_mandir}/mann/dragdrop.n.bz2
%{_mandir}/mann/eps.n.bz2
#tcllib provdes this
#%{_mandir}/mann/graph.n.bz2
%{_mandir}/mann/htext.n.bz2
%{_mandir}/mann/hierbox.n.bz2
%{_mandir}/mann/spline.n.bz2
%{_mandir}/mann/stripchart.n.bz2
%{_mandir}/mann/table.n.bz2
# tabset.n is in itcl as well
#%{_mandir}/mann/tabset.n.bz2
%{_mandir}/mann/tile.n.bz2
%{_mandir}/mann/vector.n.bz2
# watch.n is in itcl as well
#%{_mandir}/mann/watch.n.bz2
%{_mandir}/mann/winop.n.bz2
%{_mandir}/mann/beep.n.bz2
%{_mandir}/mann/cutbuffer.n.bz2

%changelog
* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.4i-13mdk
- automatically added BuildRequires

* Fri Aug 04 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.4i-12mdk
- rebuild to remove duplicate manpage which is provided by tcllib (stefan)

* Tue Aug 01 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 2.4i-11mdk
- macroszifications
- BM

* Tue May 16 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.4i-10mdk
- fixed broken symlink

* Thu Apr 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.4i-9mdk
- fixed group

* Wed Dec  1 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build Release.

* Mon Jul 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- s|local/bin/tclsh|bin/tclsh|

* Sat Jul 17 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 2.4i
- set some compatibility links

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Fri Apr 16 1999 Bill Nottingham <notting@redhat.com>
- obsolete blt-devel

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Thu Mar 11 1999 Bill Nottingham <notting@redhat.com>
- remove watch.n, tabset.n (conflicts with itcl)

* Wed Mar 10 1999 Bill Nottingham <notting@redhat.com>
- update to 2.4g
- buildrooted

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- stripped binaries
